---
- name: Converge
  hosts: all
  tasks:
  - include_tasks: prepare-common.yml

  - name: Ensure lock dirs for DS exists
    file:
      state: directory
      owner: dirsrv
      group: dirsrv
      path: "{{ item }}"
    loop:
      - /var/lock/dirsrv/
      - /var/lock/dirsrv/slapd-TEST-LOCAL/

  - name: Ensure IPA server is up an running
    service:
      name: ipa
      state: started
